// StopDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Stop.h"
#include "StopDlg.h"
#include "..\\stlib\\sct_hardware.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStopDlg dialog

CStopDlg::CStopDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStopDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStopDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CStopDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStopDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CStopDlg, CDialog)
	//{{AFX_MSG_MAP(CStopDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(ID_STOP, OnStop)
	ON_BN_CLICKED(ID_ABORT, OnAbort)
	ON_BN_DOUBLECLICKED(ID_STOP, OnStop)
	ON_BN_DOUBLECLICKED(ID_ABORT, OnAbort)
	ON_BN_CLICKED(ID_BREAK, OnBreak)
	ON_BN_DOUBLECLICKED(ID_BREAK, OnBreak)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStopDlg message handlers

BOOL CStopDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

  sprintf(s_start,"%sstart.txt",ST_ETC);
  sprintf(s_stop, "%sstop.txt", ST_ETC);

  remove(s_stop);
  FILE* f_start=fopen(s_start,"w");
  fprintf(f_start,"RUNNING\n");
  fclose(f_start);
		
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CStopDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CStopDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CStopDlg::OnStop() 
{
	remove(s_start);
  FILE* f_stop=fopen(s_stop,"w");
  fprintf(f_stop,"STOP\n");
  fclose(f_stop);

  this ->EndDialog(IDOK);
}

void CStopDlg::OnAbort() 
{
  remove(s_start);
  FILE* f_stop=fopen(s_stop,"w");
  fprintf(f_stop,"ABORT\n");
  fclose(f_stop);

  this ->EndDialog(IDOK);
}

void CStopDlg::OnBreak() 
{
	static npress=0;

  switch(npress%4){
    case 0:
      SetDlgItemText(ID_BREAK,"You know you want to!");
      break;
    case 1:
      SetDlgItemText(ID_BREAK,"Maybe a beer or two...");
      break;
    case 2:
      SetDlgItemText(ID_BREAK,"Or a can of coke?");
      break;
    default:
      SetDlgItemText(ID_BREAK,"Time for a break?");
      break;
  }
  npress++;
}

void CStopDlg::OnCancel() 
{
	remove(s_start);
  remove(s_stop);

  this ->EndDialog(IDOK);
}