TH1F* PosProjY(TH2F* hi_in, Int_t lo, Int_t hi){
  Int_t nbinsx=hi_in->GetNbinsX(), nbinsy=hi_in->GetNbinsY(), i,j,ngood;
  if(lo<0 || hi > nbinsx) return 0;

  Int_t gdbins[500];
  Float_t sum;
  Char_t name[32];

  sprintf(name,"%s_%d_%d",hi_in->GetName(),lo,hi);

  TH1F* hi_out = (TH1F*) hi_in->ProjectionY(name,lo,hi);

  for(i=lo;i<=hi;i++){
    gdbins[i-lo]=1;
  }

  for(j=0;j<nbinsy;j++){
    for(i=lo;i<=hi;i++){
      if(hi_in->GetBinContent(hi_in->GetBin(i+1,j+1))<0.)
	gdbins[i-lo]=0;
    }
  }

  for(j=0;j<nbinsy;j++){
    sum = 0.;
    ngood = 0;
    for(i=lo;i<=hi;i++){
      if(gdbins[i-lo]){
	ngood++;
	sum += hi_in->GetBinContent(hi_in->GetBin(i+1,j+1));
      }
    }
    if(ngood)
      sum /= (Float_t) ngood;
    else
      sum = 0.;
    hi_out->SetBinContent(j,sum);
  }
  return hi_out;
}
