void NoiseInj(){

  #ifdef DATA_DIRECTORY
    // do not reload parameters.h
  #else
    // must load parameters.h
  #include <parameters.h>
  #endif

  #define MAXITER 20

  Int_t runs[MAXITER], scans[MAXITER],i;
  Float_t curr[MAXITER];

  gROOT->ProcessLine(".L DCSSafety.cpp");
  gROOT->ProcessLine(".L tpg.cpp");

  // repeat 3-pt gain to collect various injection currents

  for(i=0;i<MAXITER;i++){

    if(DCSSafety(kTRUE)) return;
    
    if(strncmp(gSystem->GetName(),"Unix",4)) 
      gSystem.Exec("C:\\WNT\\System32\\rundll32.exe C:\\WNT\\System32\\amovie.ocx,RunDll /play /close C:\\Wnt\\Media\\ringin.wav");
    printf("Set signal generator output to a new value and enter voltage or enter negative number to quit\n");
    scanf("%f",curr+i);
  
    if(curr[i]<0.) break;

    //e->HVRamp(0);
    tpg();
    scans[i]=e->scannum-2;
    runs[i]=e->runnum;

  }

  if(i==MAXITER) printf("Sorry, have to stop here since maximum number of iterations of %d has been reached\n",MAXITER);

  gROOT->ProcessLine(".L NoiseinjPlot.cpp");
  NoiseinjPlot(i,runs,scans,curr);

  return;
}
