#include <parameters.h>

void cleanup(){
  Int_t module, link, chip;
  TH1F *tmp;
  Char_t h_name[64];

  // clean up
  for (module=0; module<MAX_MODULES; module++){
    for(link=0;link<MAX_LINKS;link++){
      sprintf(h_name, "h_vt50_%d_%d",module,link);
      tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
      if(tmp) tmp->Delete();
      sprintf(h_name, "h_gain_%d_%d",module,link);
      tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
      if(tmp) tmp->Delete();
      sprintf(h_name, "h_offset_%d_%d",module,link);
      tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
      if(tmp) tmp->Delete();
      sprintf(h_name, "h_innse_%d_%d",module,link);
      tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
      if(tmp) tmp->Delete();
      for(chip=0;chip<6;chip++){
        sprintf(h_name, "h_vt50_%d_%d_%d",module,link,chip);
	tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
	if(tmp) tmp->Delete();
        sprintf(h_name, "h_gain_%d_%d_%d",module,link,chip);
	tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
	if(tmp) tmp->Delete();
        sprintf(h_name, "h_offset_%d_%d_%d",module,link,chip);
	tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
	if(tmp) tmp->Delete();
        sprintf(h_name, "h_innse_%d_%d_%d",module,link,chip);
	tmp = (TH1F*) gDirectory->GetList()->FindObject(h_name);
	if(tmp) tmp->Delete();
      }
    }
  }

  return;
}


