{
  // c:\sctdaq\rootlogon.c
  // version 0.1 GFM Nov98
  // version 0.2 PWP 16.08.2000
  // version 0.3 PWP 20.12.2001
  // version 0.4 BJG/PWP 29.05.2002 
  // With recent versions of ROOT, this file MUST
  // be executed at startup, so ROOT MUST be started
  // in the sctdaq directory

  printf("\nFor ROOT demos, type \".x demos.C\"\n"); 
  printf("\nFor ROOT demo help,  \".x demoshelp.C\"\n");
  printf("\n");
  printf("  **********************************\n");
  printf("  *                                *\n");
  printf("  *      SCTDAQ Root Session       *\n");
  printf("  *                                *\n");
  printf("  **********************************\n");
  printf("\n");
  printf("If SCTDAQ does not start automatically, type\n");
  printf("\".X ST.cpp\" to start the application.\n\n");
  printf("The VXI Resource Manager will be run automatically.\n");
  printf("\n");

  printf("Attempting to load header file parameters.h\n");
  #include "macros/parameters.h"
  printf("...done\n");

  if(strncmp(gSystem->GetName(),"Unix",4)==0){
    printf("Running under Linux\n");

    printf("Attempting to load stdll.so");
    gSystem.Load("stdll.so");
    printf("...done\n");
  }else{
    printf("Running under Windows\n");

    if(gROOT->GetVersionInt()>30000){
      gSystem.Load("libTree.DLL");
    }else{
      gSystem.Load("Root_Tree.DLL");
    }

    printf("Attempting to load stdll.dll");
    gSystem.Load("stdll.dll");
    printf("...done\n");
  }
  TST* e =0;
}
