#ifndef TMODULEDEFINE_H
#define TMODULEDEFINE_H

//
// TModuleDefine.h
// PWP 11.12.99

#define BAD_TEST     0xfffb  // all except CH_UNDER - still up for debate
#define DEAD_TEST    0x0003  // CH_DEAD and CH_STUCK
#define DODGY_TEST   0xfffc  // all except CH_DEAD and CH_STUCK

#define CH_DEAD      0x0001
#define CH_STUCK     0x0002
#define CH_UNDER     0x0004
#define CH_OVER      0x0008
#define FIT_UNDER    0x0010
#define FIT_OVER     0x0020
#define SIG_UNDER    0x0040
#define SIG_OVER     0x0080
#define GAIN_UNDER   0x0100
#define GAIN_OVER    0x0200
#define OFFSET_UNDER 0x0400
#define OFFSET_OVER  0x0800
#define NOISE_UNDER  0x1000
#define NOISE_OVER   0x2000
#define MEAN_ERROR   0x4000
#define SIG_ERROR    0x2000

#endif
