
/*
 * temptress_lib.h
 *
 * Version 0.1 PWP 10.02.00
 * Version 0.4 JCH 25.06.02 - support for ATLAS RCC library (for SBCs)
 */

#define TEMPTRESS_MAX_CHANS 32

/*
 * function prototypes
 */

int temptress_exit();

#if defined(__STDC__)

int temptress_print_status(short card);
int temptress_read_all(short card, float* temp);
int temptress_read_one(short card, short chan, float* temp);
int temptress_vmemap(unsigned long address, short *card);

#else

int temptress_print_status();
int temptress_read_all();
int temptress_read_one();
int temptress_vmemap();

#endif


/* Useful internal structure for TEMPTRESS info*/

struct temptress_info_structure
{
#if defined(NIVXI) || defined(RCC)
  int window;
#endif
  unsigned long address;
};

#define temptress_info_size sizeof(struct temptress_info_structure)

